package com.malk.aipocloud.repository.entity;

import com.malk.base.BasePo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "aipocloud_user")
public class AbUserPo extends BasePo {

    /**
     * 员工Id
     */
    private String userId;
    
    /**
     * 员工姓名
     */
    private String name;

    /**
     * email
     */
    private String email;


    /**
     * 部门名称
     */
    private String dept;
}
