package com.malk.zhuogao.repository.dao;

import com.malk.zhuogao.repository.entity.TrustDevicePo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import javax.transaction.Transactional;

/**
 * 接口多继承
 * -
 * - JpaRepository 中有常用的 CRUD 、分页、排序等方法
 * - JpaSpecificationExecutor 可以实现任意的复杂查询
 */
@Transactional
public interface TrustDeviceDao extends JpaRepository<TrustDevicePo, Long>, JpaSpecificationExecutor<TrustDevicePo> {

}
