package com.malk.zhuogao.service;

import com.malk.zhuogao.repository.entity.ZSDFileRecordPo;
import org.springframework.data.domain.Page;

import java.util.Map;

public interface ZSDClient_File {

    /**
     * 查询文件审计记录
     *
     * @implNote 数据库从0页开始, 可以使用重载的 of(int page, int size, Sort sort) 方法指定排序字段
     */
    Page<ZSDFileRecordPo> queryRecords(Map<String, String> data, int page, int size);

    /**
     * 同步记录, 落库
     */
    void syncFileRecords(long startTime, long endTime, int pageSize, Map preLastRecord);
}
