package com.malk.server.vika;

import com.malk.utils.UtilMap;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 读取配置文件参考FilePah
 */
@Data
@Component
@ConfigurationProperties(prefix = "vika")
public class VKConf {

    private String apiToken;

    /**
     * api token授权参数
     */
    public Map initTokenHeader() {
        return UtilMap.map("Authorization", "Bearer " + apiToken);
    }
}
