package com.malk.service.dingtalk;

import java.util.List;
import java.util.Map;

public interface DDClient_Notice {

    /**
     * 发送工作通知
     *
     * @param userid_list  接收者的userid列表，最大用户列表长度100
     * @param dept_id_list 接收者的部门id列表，最大列表长度20。接收者是部门ID时，包括子部门下的所有用户
     * @param to_all_user  是否发送给企业全部用户。当设置为false时必须指定userid_list或dept_id_list其中一个参数的值
     */
    String sendNotification(String access_token, List<String> userid_list, List<String> dept_id_list, boolean to_all_user, Map msg);
}
