package com.malk.aiwei.controller;

import com.malk.controller.TBCallBackController;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TB事件回调 3_1
 * -
 * [子项目直接继承即可有调用, 无需实现]
 * -
 * 注解 @RequestMapping 路径不能重复 [主子项目属同一个项目];
 * 获取项目回调请求地址, https://mc.cloudpure.cn/frp/xxx/tb/callback [调试代理: frp + nginx]
 */
@Slf4j
@RestController
@RequestMapping("/tb")
public class TBController extends TBCallBackController {
    
}
