package com.malk.fengkaili.service;

import com.malk.fengkaili.repository.entity.FKLDdContactPo;
import org.springframework.data.domain.Page;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface FKLService {

    /**
     * 同步用户信息
     */
    void syncUserInfo();

    /**
     * 查询用户列表
     */
    Page<FKLDdContactPo> queryUserInfos(int page, int size, String name, List<Long> deptIds, Date sDate);

    /**
     * 考勤数据统计
     *
     * @param days 考勤明细日期表头
     */
    List<Map> queryAttendanceList(String start, String end, List<FKLDdContactPo> userInfos, List<String> days);
}
