package com.malk.shangfeng.repository.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "fitemss97")
public class Fitemss97Po {

    public static String PROCESS_CODE = "PROC-61D5E199-390D-4973-AD6C-E4237C89BC31";

    /**
     * ppExt: 不继承 BaseDto, 避免默认id与时间字段匹配异常
     */
    @Id
    private int iId;

    /**
     * 项目编号
     */
    private String citemcode;

    /**
     * 项目名称
     */
    private String citemname;

    /**
     * 同步备注
     */
    private String syncdd;
}
