package com.malk.service.dingtalk;

import java.util.List;
import java.util.Map;

public interface DDClient_Personnel {

    /**
     * 获取花名册元数据
     */
    List<Map> getPersonnelMeta(String access_token, Number agentid);

    /**
     * 获取员工花名册字段信息
     *
     * @param userIds           员工的userid列表，多个userid之间使用逗号分隔，一次最多支持传100个值
     * @param field_filter_list [非必填] 需要获取的花名册字段field_code值列表，多个字段之间使用逗号分隔，一次最多支持传100个值
     */
    List<Map> getEmployeeInfos(String access_token, List<String> userIds, Number agentId, List<String> field_filter_list);
}
